Update external agent phone number

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
PATCH /external-agents/{externalAgentId}/phone-numbers/{phoneNumberTypeCode}

Using the external agent id and phone number type code in the request path, the method updates the phone number.

application/json

Body

object object

Responses

  • 200 application/json

    Successfully updated the phone number

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 404 application/json

    External agent or phone number not found.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 409 application/json

    Phone number already exists.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 412

    Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.

  • 500

    Unknown error. See response body for details.

PATCH /external-agents/{externalAgentId}/phone-numbers/{phoneNumberTypeCode}
curl \
 --request PATCH 'http://api.example.com/external-agents/{externalAgentId}/phone-numbers/{phoneNumberTypeCode}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"typeCode":"string","ext":"string","number":"string"}'
Request example
{
  "typeCode": "string",
  "ext": "string",
  "number": "string"
}
Response examples (200)
{}
Response examples (404)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}
Response examples (409)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}